<?php
if ( ! class_exists( 'GF_Ktm_Logs' ) ) {
	class GF_Ktm_Logs {
		private static $instance;
		private static $enable_log = false ;
		public static function instance() {
			if ( ! isset( self::$instance ) && ! ( self::$instance instanceof GF_Ktm_Logs ) ) {
				self::$instance = new GF_Ktm_Logs();
			}
			return self::$instance;
		}
		function __construct() {
			// clear current log file
			add_action( 'wp_ajax_clear_ktm_log_file', 'GF_Ktm_Logs::clear_ktm_log_file' );
			// show metabox with information about subscription
			add_filter( 'gform_entry_detail_meta_boxes', 'GF_Ktm_Logs::register_meta_box', 10, 3 );

		}

		public function log( $text ) {
			if ( self::$enable_log === false ) {
				self::$enable_log = gfklicktipp_manager_standard_feed_addon()->get_plugin_setting( 'enable_log' );
			}
			if ( self::$enable_log ) {
				$file = GF_KLICK_TIPP_MANAGER_STANDARD_PLUGIN_DIR . "/logs/logs.txt";
				// add new line to log text
				$text = $text . PHP_EOL;
				file_put_contents( $file, $text, FILE_APPEND );
				//implode(PHP_EOL, $arr);
			}
		}
		public static function clear_ktm_log_file() {
			$file = GF_KLICK_TIPP_MANAGER_STANDARD_PLUGIN_DIR . "/logs/logs.txt";
			echo $file;
			file_put_contents( $file, '' );
			echo 'cleared';
			die;
		}

		public static function register_meta_box( $meta_boxes ) {
			$meta_boxes['ktm_log_metabox'] = array(
				'title'    => 'Klick Tipp',
				'callback' => 'GF_Ktm_Logs::add_details_meta_box',
				'context'  => 'side',
			);
			return $meta_boxes;
		}

		public static function add_details_meta_box( $args ) {
			$form  = $args['form'];
			$entry = $args['entry'];
			$html = '';
			$contact_id = gform_get_meta( $entry['id'], 'ktm_contact_id' );
			$ktm_error = gform_get_meta( $entry['id'], 'ktm_error' );
			if ( ! empty( $contact_id ) ) {
				$html .= esc_html__( 'Contact ID', 'simplefeedaddon' ) . ': ' . $contact_id;
			} else if ( ! empty( $ktm_error ) ) {
				$html .= esc_html__( 'Error:', 'simplefeedaddon' ) . ': ' . $ktm_error;
			}
			echo $html;
		}
	}
}
if ( ! function_exists( 'GF_Ktm_Logs' ) ) {
	function GF_Ktm_Logs() {
		return GF_Ktm_Logs::instance();
	}
}
GF_Ktm_Logs();
