<?php
/*
	Plugin Name: Gravity Forms Klick Tipp Manager Standard
	Description: Integrieren Sie GravityForms mit Klick-Tipp
	Author: KlickTipp-Solutions.de
	Author URI: https://www.klicktipp-solutions.de
	Plugin URI: https://www.klicktipp-solutions.de/
	Version: 1.5.1
*/
//set_site_transient( 'update_plugins', null );

define( "GF_KLICK_TIPP_MANAGER_STANDARD_PLUGIN_URL", plugins_url() . "/" . basename( dirname( __FILE__ ) ) );
define( "GF_KLICK_TIPP_MANAGER_STANDARD_PLUGIN_DIR", WP_PLUGIN_DIR . "/" . basename( dirname( __FILE__ ) ) );

define( 'EDD_GF_KLICK_TIPP_MANAGER_STANDARD_STORE_URL', 'https://www.klicktipp-solutions.de' );
define( 'EDD_GF_KLICK_TIPP_MANAGER_STANDARD_ITEM_ID', '3635' );

define( 'EDD_GF_KLICK_TIPP_MANAGER_STANDARD_VERSION',  '1.5.1' );
if ( ! class_exists( 'EDD_SL_Plugin_Updater' ) ) {
	// load our custom updater
	include dirname( __FILE__ ) . '/EDD_SL_Plugin_Updater.php';
}

// Include Logging Class
include dirname( __FILE__ ) . '/class-gf-ktm-logs.php';

function edd_sl_gfklicktipp_manager_standard_plugin_updater() {
	if ( class_exists( 'GFKlickTippManagerStandard' ) ) {
		// retrieve our license key from the DB
		$license_key = gfklicktipp_manager_standard_feed_addon()->get_plugin_setting( 'license_key' );

		// setup the updater
		$edd_updater = new EDD_SL_Plugin_Updater(
			EDD_GF_KLICK_TIPP_MANAGER_STANDARD_STORE_URL,
			__FILE__,
			array(
				'version'  => EDD_GF_KLICK_TIPP_MANAGER_STANDARD_VERSION,
				'license'  => $license_key,
				'item_id' => EDD_GF_KLICK_TIPP_MANAGER_STANDARD_ITEM_ID,
				'author'  => 'IcosMedia'
			)
		);
	}
}
add_action( 'admin_init', 'edd_sl_gfklicktipp_manager_standard_plugin_updater' );

add_action( 'gform_loaded', array( 'GF_Klick_Tipp_Manager_Standard_Bootstrap', 'load' ), 5 );
class GF_Klick_Tipp_Manager_Standard_Bootstrap {
	public static function load() {
		if ( ! method_exists( 'GFForms', 'include_feed_addon_framework' ) ) {
			return;
		}
		if ( ! class_exists( 'KlicktippConnector' ) ) {
			require_once 'klicktipp.api.inc';
		}
		require_once 'class-gfklicktippmanagerstandard.php';
		GFAddOn::register( 'GFKlickTippManagerStandard' );
	}
}
function gfklicktipp_manager_standard_feed_addon() {
	return GFKlickTippManagerStandard::get_instance();
}
