( function ( $ ) {
	$( function () {

		$('.ktm-select,.tags_dropdown').selectWoo({
			minimumResultsForSearch: 5
		});


		var Klick_Tipp_Tags_Rules = {
			init: function () {
				this.add_row();
				this.remove_row();
				this.trigger_value_update();
			},
			add_row: function () {
				$( 'body' ).on( 'click', '.add_tag_rule_row', function () {
					var ele = $( this );
					var main_parent_cont = ele.parent().parent();
					var id = main_parent_cont.attr( 'id' );
					if ( id == 'condition_add_tags_condition_container' ) {
						var $tag_select_label = 'Tags zuweisen';
					} else {
						var $tag_select_label = 'Tags entfernen';
					}

					$field_options = ele.parent().find( '.field_list' ).html().replace( 'selected="selected"', '' );
					$operator_options = ele.parent().find( '.operator_list' ).html().replace( 'selected="selected"', '' );
					$tag_options = ele.parent().find( '.tags_dropdown' ).html().replace( 'selected="selected"', '' );
					row_html = '<div class="tags_condition_fields_rule"><br/>';
					row_html += 'Wenn diese Bedingungen erfüllt sind:<br/>';
					row_html += '<select style="max-width:400px" class="field_list">' + $field_options + '</select>';
					row_html += '<select style="max-width:400px" class="operator_list">' + $operator_options + '</select>';
					row_html += '<input type="text" class="cond_val gfield_rule_select gfield_rule_input" placeholder="Wert eingeben">';
					row_html += '<a class="add_field_choice add_tag_rule_row" title="add another rule"><i class="gficon-add"></i></a>';
					row_html += '<a class="add_field_choice remove_tag_rule_row" title="add another rule"><i class="gficon-subtract"></i></a>';
					row_html += '<div style="margin-top:10px;margin-bottom:10px">'+$tag_select_label+'</div>';
					row_html += '<select multiple class="tags_dropdown">' + $tag_options + '</select>';
					row_html += '</div';
					main_parent_cont.append( row_html );
					Klick_Tipp_Tags_Rules.save_rules( main_parent_cont );
					//console.log($field_options);
					//console.log($operator_options);
					$('.tags_dropdown').selectWoo({
						minimumResultsForSearch: 5
					});
				} )
			},

			remove_row: function () {
				$( 'body' ).on( 'click', '.remove_tag_rule_row', function () {
					var main_parent_cont = $( this ).parent().parent();
					$( this ).parent().remove();
					Klick_Tipp_Tags_Rules.save_rules( main_parent_cont );
				} )
			},
			save_rules: function ( main_parent_cont ) {

				var id = main_parent_cont.attr( 'id' );
				if ( id == 'condition_add_tags_condition_container' ) {
					var val_input = '#_gform_setting_condition_add_tags_object';
					var old_val_input = '#_gaddon_setting_condition_add_tags_object';
				} else {
					var val_input = '#_gform_setting_condition_remove_tags_object';
					var old_val_input = '#_gaddon_setting_condition_remove_tags_object';
				}
				var total_rows = $( '#' + id + ' .tags_condition_fields_rule' ).length
				var new_rules = '{ "rules" : [';
				$( '#' + id + ' .tags_condition_fields_rule' ).each( function ( i ) {
					var ele = $( this );
					$field = ele.find( '.field_list' ).val();
					$operator = ele.find( '.operator_list' ).val();
					$cond_val = ele.find( '.cond_val' ).val();
					$tag = ele.find( '.tags_dropdown' ).val();
					new_rules += '{ "field_id":"' + $field + '","operator":"' + $operator + '",' + '"cond_val":"' + $cond_val + '","tags":"' + $tag + '" }';
					//console.log(i)
					if ( i != ( total_rows - 1 ) ) {
						new_rules += ',';
					}
				} )
				new_rules += ']}';

				$field = $( '#' + id ).find( val_input ).val( new_rules );
				$( '#' + id ).find( old_val_input ).val( new_rules );

				if ( $( '#' + id + ' .tags_condition_fields_rule' ).length > 1 ) {
					if ( $( '#' + id + ' .tags_condition_fields_rule' ).first().find( '.remove_tag_rule_row' ).length < 1 ) {
						$( '#' + id + ' .tags_condition_fields_rule' ).first().find( '.add_tag_rule_row' ).after( '<a class="add_field_choice remove_tag_rule_row" title="add another rule"><i class="gficon-subtract"></i></a>' )
					}
				} else {
					$( '#' + id + ' .tags_condition_fields_rule' ).first().find( '.remove_tag_rule_row' ).remove();
				}
				// console.log(new_rules);
			},
			trigger_value_update: function () {
				$( 'body' ).on( 'change', '.field_list,.operator_list,.tags_dropdown,.cond_val', function () {
					var main_parent_cont = $( this ).parent().parent();
					Klick_Tipp_Tags_Rules.save_rules( main_parent_cont );
				} )
				// update field value to show dropdown or input box to condition value
				$( 'body' ).on( 'change', '.field_list', function () {
					var main_parent_cont = $( this ).parent().parent();
					var field_id = $( this ).val();
					var container = $( this ).parent();
					Klick_Tipp_Tags_Rules.update_rule_value_field( field_id, container );
					Klick_Tipp_Tags_Rules.save_rules( main_parent_cont );
				} )
				$( 'body' ).on( 'keyup', '.cond_val', function () {
					var main_parent_cont = $( this ).parent().parent();
					Klick_Tipp_Tags_Rules.save_rules( main_parent_cont );
				} )
			},
			update_rule_value_field: function ( field_id, container ) {
				var field_object = GetFieldById( field_id );
				if ( field_object.type == 'select' || field_object.type == 'radio' || field_object.type == 'checkbox' ) {
					var html = '<select class="cond_val">'
					var choices = field_object.choices;
					for ( var i = 0; i < choices.length; i++ ) {
						html += '<option value="' + choices[ i ].value + '">' + choices[ i ].text + '</option>';
					}
					html += '</select>';
				} else {
					var html = '<input type="text" class="cond_val gfield_rule_select gfield_rule_input" placeholder="Wert eingeben">';
				}
				// update the rule value field to show dropdown of choices or input box
				var rule_value_ele = container.find( '.cond_val' );
				rule_value_ele.hide().after( html );
				rule_value_ele.remove();
			}
		}
		Klick_Tipp_Tags_Rules.init();
	} )
} )( jQuery )